API referenceConnections
Who am I
POST
The kind of caller (user, apikey or connection), its company, permissions and, for a connection or an API key, whether its writes wait for a person's approval.
apikeybearerAuthheader
apikey<token>header
AuthorizationBearer <JWT>application/json- body
Success
application/json- response
kind*stringValue in
"user""apikey""connection"tenantId*stringFormat
uuidrole?stringValue in
"owner""member"keyId?stringFormat
uuidname?stringpermissions*array<>expiresAt?|nullconnectionId?|nullclientId?stringrequireApproval?booleancurl -X POST 'https://api-ecmr-dev.lucaspiera.com/rest/v1/rpc/whoami' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "kind": "user", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "role": "owner", "keyId": "468bcefd-6536-4844-8249-aff3ecb2ef7b", "name": "string", "permissions": [ "documents:read" ], "expiresAt": "2019-08-24T14:15:22Z", "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "clientId": "string", "requireApproval": true}